#include <iostream>
#include <cmath>

using namespace std;

int main()
{
  ios_base::sync_with_stdio(false);
  long long int x1, y1, x2, y2;
  cin >> x1 >> y1 >> x2 >> y2;
  if(x1==x2)
  {
    cout << 2 << "\n";
    return 0;
  }
  if(y1==y2)
  {
    cout << 2 << "\n";
    return 0;
  }
  if(abs(x2-x1) == abs(y2-y1))
  {
    cout << 1 << "\n";
    return 0;
  }
  
  cout << 0 << "\n";

  return 0;
}